Bug 35533 - [PATCH] lk: errors introduced by nbsp layout variant zwnj2nb3s
Summary: [PATCH] lk: errors introduced by nbsp layout variant zwnj2nb3s
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: high normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-03-21 23:56 UTC by Harshula Jayasuriya
Modified: 2011-03-23 18:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix lk layout space key behaviour (983 bytes, patch)
2011-03-22 00:01 UTC, Harshula Jayasuriya
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Harshula Jayasuriya 2011-03-21 23:56:23 UTC
The nbsp layout's "zwnj2nb3s" variant is only used by the lk layout:
----------------------------------------
$ grep -R 'nbsp(zwnj2nb3s)' symbols/
symbols/lk:  include "nbsp(zwnj2nb3s)"
----------------------------------------

Unfortunately, when the lk layout was modified from:
----------------------------------------
  key <SPCE> { [ space, nobreakspace, 0x100200c, NoSymbol ] };
----------------------------------------

to include the nbsp layout the person made errors:
----------------------------------------
// ZWNJ on level 2
// ZWJ on level 3
// NBSP on level 4
// Used by lk(sin_phonetic)
partial
xkb_symbols "zwnj2nb3s" {
  key <SPCE> {
    type[Group1]="FOUR_LEVEL",
    symbols[Group1]= [ space, 0x100200c, nobreakspace, NoSymbol ]
  };
};
----------------------------------------
Comment 1 Harshula Jayasuriya 2011-03-22 00:01:38 UTC
Created attachment 44706 [details] [review]
Fix lk layout space key behaviour
Comment 2 Sergey V. Udaltsov 2011-03-22 13:53:16 UTC
Ok, committed. If the people complain about broken variant - I will send them your way:)
Comment 3 Harshula Jayasuriya 2011-03-23 18:23:05 UTC
No probs. The patch does *not* change nbsp layout's zwnj2nb3s variant, it just corrects the comment. The patch adds a new variant nb2zwnj3s, that is only used by the lk layout. Therefore, it's not possible for an existing variant to break as result of the patch.


bug/show.html.tmpl processed on Mar 27, 2017 at 12:39:28.
(provided by the Example extension).